Skip to main content
PATCH
Update managed node-pool autoscaling

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-ankra-organisation-id
string

PAT organisation override.

Path Parameters

provider
enum<string>
required
Available options:
doks,
uks,
gke,
ovh_mks,
aks,
eks,
kapsule
Example:

"kapsule"

cluster_id
string<uuid>
required
node_pool_name
string
required

Body

application/json

Kapsule supports count/autoscaling, autohealing and upgrade_policy updates. zone, root-volume, security-group and public-IP fields are accepted only to return explicit immutable-field errors.

autohealing
boolean | null
autoscaling_enabled
boolean | null
autoscaling_max
integer | null
autoscaling_min
integer | null
count
integer | null
Required range: x >= 1
public_ip
boolean | null
root_volume_size_gb
integer | null
Required range: x >= 1
root_volume_type
string | null
security_group_id
string | null
upgrade_policy
enum<string> | null
Available options:
surge,
unavailable,
balanced
zone
string | null

Response

Successful response

autohealing
boolean | null
required
autoscaling_enabled
boolean | null
required
autoscaling_max
integer | null
required
autoscaling_min
integer | null
required
cluster_id
string<uuid>
required
count
integer | null
required
node_pool_name
string
required
upgrade_policy
string | null
required